Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class VersionThreeToVersionFourUpgrader

    java.lang.Object
      com.atlassian.bamboo.persister.xstream.AbstractXStreamPersister
          com.atlassian.bamboo.upgrader.VersionThreeToVersionFourUpgrader

All Implemented Interfaces:
  Upgrader

    public class VersionThreeToVersionFourUpgrader

extends AbstractXStreamPersister
implements Upgrader

This class converts version 3 build files into version 4. This involves:

Placing the build results in a date based directory structure to speed up loading of the latest results. Adding the build result summaries to the build object Revamping the builds map to incorporate the above requirements

Nested Class Summary
`class` | `VersionThreeToVersionFourUpgrader.OldBuildResults`
`class` | `VersionThreeToVersionFourUpgrader.OldBuildResultsSummary`
`class` | `VersionThreeToVersionFourUpgrader.OldCVSCheckoutCommand`
`class` | `VersionThreeToVersionFourUpgrader.OldCVSLogCommand`
`class` | `VersionThreeToVersionFourUpgrader.OldCVSRepository`

Nested classes/interfaces inherited from class com.atlassian.bamboo.persister.xstream.AbstractXStreamPersister
`AbstractXStreamPersister.AntBuilderMap, AbstractXStreamPersister.MavenBuilderMap, AbstractXStreamPersister.ScriptBuilderMap`

Field Summary

Fields inherited from class com.atlassian.bamboo.persister.xstream.AbstractXStreamPersister
`builderManager, myXstream`

Constructor Summary
`VersionThreeToVersionFourUpgrader(File buildDirectory)` Initialse the upgrader with the system configuration

Method Summary
`void` | `upgrade()` Upgrade each build in the builds directory

Methods inherited from class com.atlassian.bamboo.persister.xstream.AbstractXStreamPersister
`fromXML, init, registerClassAlias, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionThreeToVersionFourUpgrader

    public VersionThreeToVersionFourUpgrader(File buildDirectory)

  Initialse the upgrader with the system configuration

  Parameters:
    `buildDirectory` - The location of the build data files

Method Detail

### upgrade

    public void upgrade()

  Upgrade each build in the builds directory

  Specified by:
    `upgrade` in interface `Upgrader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.